repo/gentoo:master commit in: dev-python/boto3/

Michał Górny <[email protected]> Tue, 04 Aug 2026 07:44:06 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785829439.99b96cfc602eaae951444da55e8d26729562c267.mgorny@gentoo>
commit:     99b96cfc602eaae951444da55e8d26729562c267
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  4 05:11:06 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug  4 07:43:59 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=99b96cfc

dev-python/boto3: Bump to 1.43.63

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest             |  1 +
 dev-python/boto3/boto3-1.43.63.ebuild | 53 +++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 046373dbc80f..5a5fb2a58089 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.43.51.gh.tar.gz 1184372 BLAKE2B d89d6ee90f2e758dd88b2aa9ea70d836c2e
 DIST boto3-1.43.56.gh.tar.gz 1191375 BLAKE2B 3e98c6b40c4386ba8f4653af181625376509880f40b36c6ab8101a6d20cd8db4a57f2ab3b31e8934479a7191964455c08e728ebc1f4c291d987fb9991d32cdc9 SHA512 f3990078f144109317a11904b01c8bbbdc74e6caaf0be41f612c0b75076fa8092476aad840a33eb986a587040bbdb3618eb4f7d6ba6ec56d83b5cc97ea561fbd
 DIST boto3-1.43.61.gh.tar.gz 1195670 BLAKE2B ed15e087960531920503f9d929a974b3b339cc870d88bb1a5b10ae5b804e35b99217cea7012a9e00306e84a25e74c7367979a0df5b96dcb67ea0b500fa03305e SHA512 eca58444c4458c9f28511dce75f6b7f593134840fb8e1a205ec6aa979729f92142c9e9241fc6c37668e850a31a295689875469179d9a7f870213314cf768fc69
 DIST boto3-1.43.62.gh.tar.gz 1197144 BLAKE2B 574fe26ea4042f0a7bb0d1c408f7de26a3f8968bd7b70fe3cd744d1499c00cfd8683bc49033916bd5380298c3612746d3c84cc663838f5bbc7a341a73b9e70e0 SHA512 f9c8f4aaddcf27683d132163ec7a2d617abcd1a2aaaf46122408ab9015ec09afa898c2dbee361c57c1f2031fb50653ef001f9eccf5cb510e5cb24c1761aa4021
+DIST boto3-1.43.63.gh.tar.gz 1197947 BLAKE2B 0d6ff0fb2ce7c1d87368f989b576a46c4a056f2fb7a90306c4fee588002ab979735bed1c59005767e5922f14e7e01727233b3afa7f5cd9d2818fdc20dcd5d239 SHA512 50fd2c3b9b6a78bb32eb914653a34deb1c68f0519627bc149f3595257417a74343b97e481224dba8fbd3956d949f61ed1116bbf74f7b5bfba0c3a95c2daabb50

diff --git a/dev-python/boto3/boto3-1.43.63.ebuild b/dev-python/boto3/boto3-1.43.63.ebuild
new file mode 100644
index 000000000000..9b17e7a5c381
--- /dev/null
+++ b/dev-python/boto3/boto3-1.43.63.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+	https://github.com/boto/boto3/
+	https://pypi.org/project/boto3/
+"
+SRC_URI="
+	https://github.com/boto/boto3/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+	>=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+	>=dev-python/s3transfer-0.19.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# don't lock versions to narrow ranges
+	sed -e '/botocore/ d' \
+		-e '/jmespath/ d' \
+		-e '/s3transfer/ d' \
+		-i setup.py || die
+
+	# do not rely on bundled deps in botocore (sic!)
+	find -name '*.py' -exec sed -i \
+		-e 's:from botocore[.]vendored import:import:' \
+		-e 's:from botocore[.]vendored[.]:from :' \
+		{} + || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	epytest tests/{functional,unit}
+}